Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Fri, 17 Apr 2020 16:55:07 +0100

On Fri, Apr 17, 2020 at 4:46 PM Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Fri, 17 Apr 2020 16:35:14 +0100
> > Cc: Stefan Monnier <[email-masked]>, Juri Linkov <
> [email-masked]>, [email-masked],
> >       Dmitry Gutov <[email-masked]>
> >
> >  > Which code?
> >
> >  The code of the proposed new mode.
> >
> > That has been shown already by Stefan's patch, way back.
>
> And I already rejected it.  If we want to have a mode, let's have a
> mode, to support all the good features discussed lately here.  Like a
> lighter, code that injects the mode into auto-generated files and
> turns on automatically for non-generated ones, etc.  A clean job, IOW.

Can you explain what is dirty about having that mode for a subset
of files that _could_ make use of it and having the user select
it via M-x lisp-data-mode when he thinks it's useful? Can you give
evidence of any benefit to your all-or-nothing stance here?

I've explained, many times, that turning it on automatically for
non-generated files, is impossible to achieve.  Do you disagree
with this statement?  Maybe you do, perhaps you're seeing
something I don't or we're talking about different lisp-data-mode's.

João